RRDRESTORE(1)

NAME
rrdrestore - Restore the contents of an RRD from its XML dump format

SYNOPSIS
rrdtool restore filename.xml filename.rrd [--range-check|-r]

DESCRIPTION
The restore function reads the XML representation of an RRD and converts it to the native RRD format.

filename.xml
    The name of the XML file you want to restore. The special filename "-" (a single dash) is interpreted as standard input.

    In order to support the restore command in pipe mode (especially when using RRDtool over a network connection), when using "-" as a filename the end of the file can be signalled either by closing the data channel after the file has transferred (as would be the case when using input redirection within a suitable shell) or by sending a crtl-Z / newline combination. This allows to send more commands to the RRDtool server after a restore.

filename.rrd
    The name of the RRD to restore.

--range-check|-r
    Make sure the values in the RRAs do not exceed the limits defined for the various data sources.

--force-overwrite|-f
    Allows RRDtool to overwrite the destination RRD.

AUTHOR
Tobias Oetiker <tobi@oetiker.ch>